BTSOCKSTAT(1)

NAME
btsockstat - show Bluetooth sockets information

SYNOPSIS
btsockstat [-nrh] [-M core] [-p protocol]

DESCRIPTION
The btsockstat utility symbolically displays the contents of various Bluetooth sockets related data structures. There are few output formats, depending on the options for the information presented. The btsockstat utility will print results to the standard output and error messages to the standard error.

The options are as follows:

-h  Display usage message and exit.

-M core
    Extract values associated with the name list from the specified core instead of the default /dev/kmem.

-n  Show Bluetooth addresses as numbers. Normally, btsockstat attempts to resolve Bluetooth addresses, and display them symbolically.

-p protocol
    Display a list of active sockets (protocol control blocks) for each specified protocol. Supported protocols are: hci_raw, l2cap_raw, l2cap, rfcomm and rfcomm_s.

-r  Display a list of active routing entries (if any) for specified protocol.

EXIT STATUS

SEE ALSO
ng_btsocket(4)

AUTHORS
Maksim Yevmenkin <m_evmenkin@yahoo.com>

BUGS
Most likely. Please report if found.